import java.io.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import javax.swing.*;
import java.awt.print.PrinterJob;
import java.awt.print.*;

public class a_vplot extends JApplet
{
public void init()
     {double x[][]={{1,2,3,4,5,6,7,8,9},{1,2,3,4,5,6,7},{1,2,3}};
	  double y[][]={{1,2,3,4,5,6,7,8,9},{2,3,4,5,6,7,8},{10,11,12}};
	  double y1[][]={{11,12,13,14,15,16,17,18,19},{11,12,13,14,15,16,17,18,19}};
	  double x1[][]={{1,2,3,4,5,6,7,8,9},{1,2,3,4,5,6,7,8,9}};
	  double x2[][]={{1,2,3}};
	  double y2[][]={{1,4,9}};
	  int plottype1[]={4,17,6};
	  int plottype2[]={0,15};
	  int plottype3[]={0};
	  int plottype4[]={0};
	  Color c1[]={Color.black,Color.blue,Color.green};
	  Color c2[]={Color.blue,Color.blue};
	  Color c3[]={Color.blue};
	  Color c4[]={Color.blue};
	  vplot p1=new vplot(plottype1,c1,x,y);
	  p1.addPlot2(plottype2,c2,x1,y1);
	  int pp[]={0};	  
	  p1.setGridNumber(20);
	  f3 ff1=new f3();
	  //p1.addPlot2(plottype4,c4,ff1,0.0,10.0,200);
	  p1.addOPLSQR(plottype3,c3,x2,y2,2,2);
	  p1.addBSpline(plottype3,c3,x2,y2,4);
	  f4 ff2=new f4();
	  f_x ff[]={ff1,ff2};
	  String s1[]={"Axis 1_PL1","Axis 1_PL2","Axis 1_PL3"};
	  String s2[]={"Axis 2_PL1","Axis 2_PL2"};
	  p1.setYlabel("y axis");   
	  p1.plot("pp");
	  }
}